<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>ARTinBlockchain - Administrator</title>

    <link href="css/bootstrap.min.css" rel="stylesheet">

  </head>
  <body>
    <div class="container text-center" style="width: 850px;">
      <h1 class="text-center">ARTinBlockchain - Administrator</h1>
      <br/>
      <div id="loader">
        <p class="text-center">Loading...</p>
      </div>
      <div id="content" style="display: none;">
        <form>
          <input type="button" id="artistsButton" value="Show artists" onclick="MemberApp.showArtists();">
          <input type="button" id="authenticatorsButton" value="Show authenticators" onclick="MemberApp.showAuthenticators();"><br>
          <input type="button" id="brokersButton" value="Show brokers" onclick="MemberApp.showBrokers();"><br>
          <input type="button" id="investorsButton" value="Show investors" onclick="MemberApp.showInvestors();"><br>
        </form>
        <div id="artists">
          <h3 class="text-center" id="titleTable">Registered artists:</h3>
          <table class="table">
            <thead>
              <tr>
                <th scope="col">Address</th>
                <th scope="col">Name</th>
                <th scope="col">Email</th>                
              </tr>
            </thead>
            <tbody id="artistsList">
            </tbody>
          </table>
        </div>
        <hr/>
        <div id="authenticators">
          <h3 class="text-center" id="titleTable">Registered authenticators:</h3>
          <table class="table">
            <thead>
              <tr>
                <th scope="col">Address</th>
                <th scope="col">Name</th>
                <th scope="col">Email</th>
              </tr>
            </thead>
            <tbody id="authenticatorsList">
            </tbody>
          </table>
        </div>
        <div id="brokers">
          <h3 class="text-center" id="titleTable">Registered brokers:</h3>
          <table class="table">
            <thead>
              <tr>
                <th scope="col">Address</th>
                <th scope="col">Name</th>
                <th scope="col">Email</th>
              </tr>
            </thead>
            <tbody id="brokersList">
            </tbody>
          </table>
        </div>
        <div id="investors">
          <h3 class="text-center" id="titleTable">Registered investors:</h3>
          <table class="table">
            <thead>
              <tr>
                <th scope="col">Address</th>
                <th scope="col">Professional</th>
                <th scope="col">Email</th>
              </tr>
            </thead>
            <tbody id="investorsList">
            </tbody>
          </table>
        </div>
        <div id="Ops" class="text-left">
          <b>Available operations:</b><br><br>

          <form onSubmit="AdmApp.quickstart(); return false;">
            Quickstart (setAddresses + addMinter):<br>
            <input type="submit" value="Submit"><br><br>
          </form>

          <form id="addArtist" onsubmit="AdmApp.addArtist(); return false;">
            Add artist:<br>
            <input type="text" placeholder="address"><input type="text" placeholder="name"><input type="text" placeholder="email"><br>
            <input type="submit" value="Submit"><br><br>
          </form>

          <form id="addAuthenticator" onsubmit="AdmApp.addAuthenticator(); return false;">
            Add authenticator:<br>
            <input type="text" placeholder="address">
            <input type="text" placeholder="name">
            <input type="text" placeholder="email"><br>
            <input type="submit" value="Submit"><br><br>
          </form>

          <form id="addBroker" onsubmit="AdmApp.addBroker(); return false;">
            Add broker:<br>
            <input type="text" placeholder="address">
            <input type="text" placeholder="name">
            <input type="text" placeholder="email"><br>
            <input type="submit" value="Submit"><br><br>
          </form>

          <form id="addInvestor" onsubmit="AdmApp.addInvestor(); return false;">
            Add investor:<br>
            <input type="text" placeholder="address">
            <input type="text" placeholder="name">
            <input type="text" placeholder="email">
            <input type="checkbox"><i>Professional</i><br>
            <input type="submit" value="Submit"><br><br>
          </form>

          Remove resale right:<br>
          <input type="text" id="artistResaleRight" placeholder="address">
          <input type="button" value="Submit" onclick="AdmApp.removeResaleRight()"  placeholder="address"><br>

          <hr/>
        </div>
        <p id="accountAddress" class="text-center"></p>
      </div>
    </div>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/web3.min.js"></script>
    <script src="js/truffle-contract.js"></script>

    <script src="js/memberApp.js"></script>
    <script src="js/admApp.js"></script>
  </body>
</html>